#!/bin/bash

DOMAIN_OR_SUBDOMAIN='YOUR_DOMAIN_OR_SUBDOMAIN_GOES_HERE'
ZONE_ID='YOUR_CLOUDFLARE_ZONE_ID_GOES_HERE'
RECORD_ID='YOUR_CLOUDFLARE_RECORD_ID_GOES_HERE'
EMAIL='YOUR_CLOUDFLARE_EMAIL_GOES_HERE'
API_TOKEN='YOUR_CLOUDFLARE_API_TOKEN_GOES_HERE'

ipadr='127.0.0.1'
curl -X PUT "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/dns_records/$RECORD_ID" \
     -H "X-Auth-Email: $EMAIL" \
     -H "Authorization: Bearer $API_TOKEN" \
     -H "Content-Type: application/json" \
     --data '{"type":"A","name":"'$DOMAIN_OR_SUBDOMAIN'","content":"'${ipadr}'","ttl":1,"proxied":false}'
echo ""
