#!/bin/sh

#### DDNS to update a Cloudflare DNS zone A record with server IP

DOMAIN_OR_SUBDOMAIN='YOUR_DOMAIN_GOES_HERE'
ZONE_ID='CLOUDFLARE_ZONE_ID_GOES_HERE'
RECORD_ID='CLOUDFLARE_RECORD_ID_GOES_HERE'
EMAIL='CLOUDFLARE_EMAIL_GOES_HERE'
API_TOKEN='CLOUDFLARE_API_TOKEN_GOES_HERE'


ipadr=`terraform output instance_ip`
curl -X PUT "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/dns_records/$RECORD_ID" \
     -H "X-Auth-Email: $EMAIL" \
     -H "Authorization: Bearer $API_TOKEN" \
     -H "Content-Type: application/json" \
     --data '{"type":"A","name":"'$DOMAIN_OR_SUBDOMAIN'","content":"'${ipadr}'","ttl":1,"proxied":false}'
echo ""
